$PROBLEM run1.mod

$INPUT C ID TIME DV AMT EVID MDV WGT DOS WDOS SUB STUD

$DATA data.csv IGNORE=C

$SUBROUTINES ADVAN5 TRANS1

$MODEL
COMP = (SLOW, DEFDOSE)
COMP = (FAST)
COMP = (CENTRAL, DEFOBS)
 
$PK
; Structural parameters
MU_1 = LOG(THETA(1))
KD = EXP(MU_1 + ETA(1))

MU_2 = LOG(THETA(2))
KA = EXP(MU_2 + ETA(2))

MU_3 = LOG(THETA(3))
KE = EXP(MU_3 + ETA(3))

MU_4 = LOG(THETA(4))
V = EXP(MU_4 + ETA(4))*WGT/75

; Input to ADVAN5
K12 = KD
K23 = KA
K30 = KE

$ERROR
IPRED = F/V*1E3
Y = IPRED + IPRED*ERR(1) + ERR(2)
ERRP = SIGMA(1,1)
ERRC = SIGMA(2,2)

$THETA
(0,0.007)    ; KD      ; 1
(0,0.013)    ; KA      ; 2
(0,0.11)     ; KE      ; 3
(0,14)       ; V       ; 4

$OMEGA
0.1          ; KD      ; 1
0.1          ; KA      ; 2
0.1          ; KE      ; 3
0.1          ; V       ; 4

$SIGMA
0.01         ; ERR(1)
1            ; ERR(2)

$EST METHOD=1 INTERACTION NSIG=3 SIGL=10 NOABORT MAXEVAL=9999 PRINT=1 FILE=run6.ext

$COV PRINT=E

$TABLE ID TIME DV PRED IPRED WRESI ERRP ERRC ONEHEADER NOPRINT NOAPPEND FILE=pred6.csv
$TABLE ID KD KA KE V FIRSTONLY ONEHEADER NOPRINT NOAPPEND FILE=par6.csv
$TABLE ID KDX KAX KEX VX KESUB KASTUD FIRSTONLY ONEHEADER NOPRINT NOAPPEND FILE=parx6.csv
